import request from '@/utils/request'
import Qs from 'qs'

/* 分页查询 */
export function listdevice_t(query) {
  return request({

    url: '/wbwarehouse-test/queryWbWarehouseByPagination',
    method: 'get',
    params: query
  })
}
/* 通过id查询详细 */
export function getDetailById_t(id) {
  return request({
    url: '/wbwarehouse-test/detail/' + id,
    method: 'get'
  })
}
/* 更新*/
export function updatadevice_t(data) {
  return request({
    url: '/wbwarehouse-test/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/* 导出库存信息*/
export function exportWarehouse(query) {
  return request({
    url: '/wbwarehouse-test/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 导入库存信息
export function importExcel(data) {
  return request({
    url: '/wbwarehouse-test/importExcel',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}

// 下载错误文件
export function uploadFalseFile(params) {
  params = Qs.stringify(params)
  return request({
    url: '/wbwarehouse-test/downFalseFile',
    method: 'post',
    data: params,
    responseType: 'blob'
  })
}

// 下载用户导入模板
export function importTemplate(params) {
  return request({
    url: '/wbwarehouse-test/importTemplate',
    method: 'get',
    responseType: 'blob',
    params
  })
}

// 查询设备列表
export function listdevice(query) {
  return request({
    url: '/wbwarehouse/queryWbWarehouseByPagination',

    method: 'get',
    params: query
  })
}
export function updatadevice(data) {
  return request({
    url: '/wbwarehouse/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
export function getDetailById(id) {
  return request({
    url: '/wbwarehouse/detail/' + id,
    method: 'get'
  })
}
export function add(data) {
  return request({
    url: '/wbwarehouse/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
// 批量添加
export function addBatch(data) {
  return request({
    url: '/wbwarehouse-test/add-test',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
//根据id删除库存
export function deleteWareHouse(id) {
  return request({
    url: '/wbwarehouse-test/deleteWareHouse/' + id,
    method: 'delete'
  })
}
// 再利用
export function recycle(data) {
  return request({
    url: '/wbwarehouse/recycle',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
// 再利用中的废弃
export function recycleAndAbandon(data) {
  return request({
    url: '/wbwarehouse/recycleAndAbandon',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 逻辑删除基础信息接口
export function deletedevice(id) {
  return request({
    url: '/wbwarehouse/deleteLogical/' + id,
    method: 'delete'
  })
}
// 导出
export function exportdevice(query) {
  return request({
    url: '/wbwarehouse/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
